## php-elisp 1.4.0

=== Makefile ===
#!/usr/bin/make -f

### php-mode.make -- Makefile for PHP mode for Emcs

## Copyright (C) 2008  Aaron S. Hawley

## Author: Aaron S. Hawley <ashawley at users sourceforge net>
## $Revision: 43 $
## $Date: 2008-01-25 10:37:01 -0500 (Fri, 25 Jan 2008) $
## X-URL: http://php-mode.sourceforge.net/

## This file is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published
## by the Free Software Foundation; either version 3, or (at your
## option) any later version.

## This file is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with GNU Emacs; see the file COPYING.  If not, write to the
## Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
## Boston, MA 02110-1301, USA.

### Commentary:

## Build a release source distribution of PHP mode:

## $ make dist

## Build a PDF version of the manual:

## $ make php-mode.pdf

## Build a Postscript version of the manual:

## $ make php-mode.ps

## Build a device independent (DVI) version of the manual:

## $ make php-mode.ps

## Build an HTML version (monolothic and multi-page) of the manual:

## $ make php-mode.html

## Build an HTML monolothic and multi-page versions of the manual:

## $ make php-mode.html

## Build a GNU Info version of the manual:

## $ make php-mode.info

## Build a Gzipped version of any file by adding the .gz suffix:

## $ make php-mode.info.gz

## Build the manual in all the formats:

## $ make

### History:

## Written on January 3, 2008 in South Burlington, Vermont, USA.

### Code:

package = php-mode
version = 1.4.0
release = $(package)-$(version)

lisp_files = *.el
texi_files = *.texi
#info_files = *.info
#html_files = *.html

CCMODE_MANUAL = http://cc-mode.sourceforge.net/html-manual/
EMACS_MANUAL = http://emacswiki.org/cgi-bin/info-ref?find=

CP ?= cp -p
GZIP ?= gzip -f
TAR ?= tar
ZIP ?= zip

dist: $(release).tar.gz $(release).zip
	$(RM) -r $(release)

manuals: php-mode.info.gz php-mode.pdf php-mode.ps.gz php-mode.html

$(release): $(lisp_files) $(texi_files) Makefile ChangeLog 
	mkdir $@ \
	 && $(CP) $^ $@

$(release).tar: $(release)
	 $(TAR) cf $@ $<

$(release).zip: $(release)
	 $(ZIP) -9 -r $@ $<

%.gz: %
	$(GZIP) $<

%.html: %.texi
	makeinfo --html --output $@ --no-split --no-headers $<
	makeinfo --html --output html-manual $<
	for f in html-manual/*.html $@; do \
	  $(CP) $${f} $${f}~; \
	  perl -pe 'while (/emacs\.html#[^"-]*-/){s/(emacs\.html#[^"-]*)-/\1 /g;}' $${f}~ \
	   | sed -e 's!ccmode\.html!${CCMODE_MANUAL}!g' \
	         -e 's!\.\./ccmode/\([^#]*\)!${CCMODE_MANUAL}\1!g' \
	         -e 's!emacs\.html\#!${EMACS_MANUAL}!g' \
	         -e 's!\.\./emacs/\([^#]*\)!${EMACS_MANUAL}\1!g' > $${f}; \
	done

%.info: %.texi
	makeinfo $<

%.txt: %.texi
	makeinfo --plaintext --output $@ --no-split --no-headers $<

%.pdf: %.texi
	texi2pdf $<

%.dvi: %.texi
	texi2dvi $<

%.ps: %.dvi
	dvips -o $@ $<

## php-elisp 1.5.0

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 ## Copyright (C) 2008  Aaron S. Hawley
 
 ## Author: Aaron S. Hawley <ashawley at users sourceforge net>
-## $Revision: 43 $
-## $Date: 2008-01-25 10:37:01 -0500 (Fri, 25 Jan 2008) $
+## $Revision: 90 $
+## $Date: 2008-11-04 11:51:51 -0500 (Tue, 04 Nov 2008) $
 ## X-URL: http://php-mode.sourceforge.net/
 
 ## This file is free software; you can redistribute it and/or modify
@@ -69,7 +69,7 @@
 ### Code:
 
 package = php-mode
-version = 1.4.0
+version = 1.5.0
 release = $(package)-$(version)
 
 lisp_files = *.el

=== debian/changelog ===
php-elisp (1.5.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prevent byte compilation on xemacs21, since it's incompatible
    (Closes: #584698)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Aug 2010 16:37:37 -0400

php-elisp (1.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #368061, #291207)
  * New maintainer (Closes: #525947)
  * debian/control:
    + bumped Standards-Version to 3.8.4
    + added ${misc:Depends} in Depends
    + updated Depends to emacs23 | emacs22 | emacsen
    + updated Suggests to php5 | php5-cli
    + updated Section to lisp
    + added in Recommends field speedbar (Closes: #500120)
    + used debhelper 7
    + added Homepage field
    + added texi2html in Build-Depends to generate manual (Closes: #476197)
  * debian/rules:
    + removed emacs21 references (Closes: #269650)
    + used binary-indep instead of binary-arch target
  * debian/copyright
    + added copyright notice
  * Added compat, docs, watch files
  * switched to dpkg-source 3.0 (quilt) format

 -- Thierry Randrianiriana <thierry@debian.org>  Sun, 09 May 2010 09:00:55 +0300

php-elisp (1.4.0-3) unstable; urgency=low

  * Package officially orphaned and maintainer address set to the Debian
    QA Group.

 -- Ola Lundqvist <opal@debian.org>  Tue, 28 Apr 2009 07:01:06 +0200

php-elisp (1.4.0-2) unstable; urgency=low

  * Applied patch from Neil Moore <neil@s-z.org> to correct xemacs
    problem, closes: #477132.

 -- Ola Lundqvist <opal@debian.org>  Sun, 27 Apr 2008 18:32:11 +0200

php-elisp (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * This version have a copy of the 1.2.0 version with support for emacs21
    included as well.
  * Applied patch with various fixes for the 1.2.0 version, closes: #342632.
    Thanks to Thue Janus Kristensen <thuejk@gmail.com> for the good patch.
    Due to new upstream release two chunks had to be applied manually.
  * Making Ola maintainer and Pontus co-maintainer.
  * Debhelper compatibility version 4 support.
  * Updated to 3.7.2 version of the debian standards version.
    This include removing the old conffiles file in debian dir.
  * Build depends on debhelper.
  * Updated to new version of FSF address in copyright file.  

 -- Ola Lundqvist <opal@debian.org>  Sun, 20 Apr 2008 14:45:09 +0200

php-elisp (1.1.0-2) unstable; urgency=low

  * Fixed newline. Patch supplied by Roland Rosenfeld, closes: #242183

 -- Pontus Ullgren <pontus@ullgren.com>  Tue, 13 Apr 2004 22:51:34 +0200

php-elisp (1.1.0-1) unstable; urgency=low

  * New upstream release closes: #233858
  * Added a small README.debian file. closes: #158748
  * Removed dependancy to emacs20. closes: #232779

 -- Pontus Ullgren <pontus@ullgren.com>  Fri,  6 Feb 2004 03:40:55 +0100

php-elisp (1.0.5-1) unstable; urgency=low

  * New upstream release. closes: #225774

 -- Pontus Ullgren <pontus@ullgren.com>  Fri, 09 Jan 2004 19:08:06 +0100

php-elisp (1.0.4-2) unstable; urgency=low

  * Fixed "Highlighting warning on superglobals". closes: #206261, #206108

 -- Pontus Ullgren <pontus@ullgren.com>  Wed, 20 Aug 2003 00:42:54 +0200

php-elisp (1.0.4-1) unstable; urgency=low

  * New maintainer.
  * New upstream release, closes: #186713, #171317
  * Updated information about upstream author in copyright.
  * Changed dependency from xemacs2 to xemacs21.
  * Standards-Version from 3.5.2 to 3.6.0.

 -- Pontus Ullgren <pontus@ullgren.com>  Thu, 14 Aug 2003 18:30:27 +0200

php-elisp (1.0.2-1) unstable; urgency=low

  * New upstream version, closes: #124282, #134056, #113530.
  * Fixed conffile, closes: #132185.

 -- Ola Lundqvist <opal@debian.org>  Sun, 24 Feb 2002 18:50:21 +0100

php-elisp (0.9.6-3) unstable; urgency=low

  * Marked files in /etc as conffiles, closes: #132185.
  * Removed dh_testversion.
  * Fixed build-dep-indep in control file.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Feb 2002 09:25:37 +0100

php-elisp (0.9.6-2) unstable; urgency=low

  * Fixed build depends.
  * Fixed to a better long description.
  * Fixed ordinary depends.
  * Added suggests of php4 and/or php3.

 -- Ola Lundqvist <opal@debian.org>  Sat, 02 Mar 2001 11:34:45 +0100

php-elisp (0.9.6-1) unstable; urgency=low

  * Initial Release.

 -- Ola Lundqvist <opal@debian.org>  Mon, 26 Feb 2001 21:33:20 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: php-elisp
Section: lisp
Priority: optional
Maintainer: Thierry Randrianiriana <thierry@debian.org>
Build-Depends: debhelper (>= 7), texi2html
Standards-Version: 3.8.4
Homepage: http://php-mode.sourceforge.net/

Package: php-elisp
Architecture: all
Depends: emacs23 | emacs22 | emacsen, ${misc:Depends}
Suggests: php5, php5-cli
Recommends: speedbar
Description: Emacs support for php files
 Emacs major mode for php supporting syntax highlighting, indentation
 and good integration with html-statements.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	texi2html php-mode.texi
	# Add here commands to install the package into debian/php-elisp.
	install -m 644 php-mode.el \
		debian/php-elisp/usr/share/emacs/site-lisp/php-elisp/php-mode.el

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installemacsen
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## php-elisp 1.13.5

=== Makefile ===
EMACS = emacs -Q -batch -L .
ELS = php-mode.el php-mode-test.el
ELCS = $(ELS:.el=.elc)

%.elc: %.el
	$(EMACS) -f batch-byte-compile $<

all: $(ELCS)

clean:
	rm -f $(ELCS)

# Runs all unit tests from php-mode-test.el and shows the results. The
# script will exit with the status code zero if all tests pass. If any
# test fails the script exits with a non-zero status and shows
# diagnostics on standard output.
#
# You can use this script with git-bisect. See the documentation at
#
#     http://git-scm.com/book/en/Git-Tools-Debugging-with-Git
#
# for an example of using a script like this with the 'git bisect run'
# command.
test: $(ELCS)
	$(EMACS) -l php-mode-test.el -f ert-run-tests-batch-and-exit

.PHONY: all clean test

=== debian/changelog ===
php-elisp (1.13.5-3) unstable; urgency=medium

  * Merged the patch from Peter S Galbraith to make sure it is not
    loaded when removed but not purged. Closes: #584785.
  * Updated to standards version 3.9.6.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Jun 2016 13:55:50 +0200

php-elisp (1.13.5-2) unstable; urgency=low

  * Dropped emacs 22 support. Closes: #775390, #775548. Thanks to Youhei
    SASAKI <uwabami@gfd-dennou.org> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sun, 25 Jan 2015 11:53:56 +0100

php-elisp (1.13.5-1) unstable; urgency=low

  * New upstream release. Closes: #764033.
  * New maintainer. Closes: #668201.
  * Removed the texi documentation.
  * Changed the upsteam page reference.
  * Updated standards version.
  * Debhelper 9 compatible.
  * Simplified debian/rules file.

 -- Ola Lundqvist <opal@debian.org>  Wed, 15 Oct 2014 20:09:36 +0200

=== debian/control ===
Source: php-elisp
Section: lisp
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.6
Homepage: https://github.com/ejmr/php-mode

Package: php-elisp
Architecture: all
Depends: emacs24 | emacs23 | emacsen, ${misc:Depends}
Suggests: php5, php5-cli
Recommends: speedbar
Description: Emacs support for php files
 Emacs major mode for php supporting syntax highlighting, indentation
 and good integration with html-statements.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_VERBOSE=1

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	# Add here commands to install the package into debian/php-elisp.
	install -m 644 php-mode.el \
		debian/php-elisp/usr/share/emacs/site-lisp/php-elisp/php-mode.el

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/php-mode/php-mode-(.*)\.tar\.gz

## php-elisp 1.21.0

=== Makefile ===
EMACS ?= emacs
ELS = php-project.el php-mode.el php-mode-test.el
AUTOLOADS = php-project-autoloads.el php-mode-autoloads.el
ELCS = $(ELS:.el=.elc)

%.elc: %.el
	$(EMACS) -Q -batch -L . -f batch-byte-compile $<

all: autoloads $(ELCS)

autoloads: $(AUTOLOADS)

$(AUTOLOADS): php-project.el php-mode.el
	$(EMACS) -Q -batch -L . --eval \
	"(progn \
	   (require 'package) \
	   (package-generate-autoloads \"php-mode\" default-directory))"

clean:
	rm -f $(ELCS) $(AUTOLOADS)

# Perform any operations that will be useful for developers
# who contribute to PHP Mode.
dev:
	cp etc/git/prepare-commit-msg .git/hooks/prepare-commit-msg
	chmod u+x .git/hooks/prepare-commit-msg
	
# Runs all unit tests from php-mode-test.el and shows the results. The
# script will exit with the status code zero if all tests pass. If any
# test fails the script exits with a non-zero status and shows
# diagnostics on standard output.
#
# You can use this script with git-bisect. See the documentation at
#
#     http://git-scm.com/book/en/Git-Tools-Debugging-with-Git
#
# for an example of using a script like this with the 'git bisect run'
# command.
test: clean all
	$(EMACS) -Q -batch -L . -l php-mode-test.el -f ert-run-tests-batch-and-exit

.PHONY: all autoloads clean test

=== debian/changelog ===
php-elisp (1.21.0-1) unstable; urgency=medium

  * Adopt package (Closes: #902633).
    - Add Emacsen team VCs links.
    - Set Maintainer to Debian Emacsen Team.
    - Add Ola Lundqvist and myself to Uploaders.
  * New upstream release (Closes: #895743).
  * Elpafy php-elisp:
    - Implicitly drops support for xemacs (Closes: #665314).
    - Add dh-elpa to Build-Depends.
    - Add new package: elpa-php-mode.
    - Convert php-elisp to dummy transitional package.
    - Rewrite debian/rules.
    - Enable autopkgtests.
    - Drop obsolete emacsen packaging directives: php-elisp.dirs,
      php-elisp.emacsen-install, php-elisp.emacsen-remove,
      php-elisp.emacsen-startup, php-elisp.emacsen-startup.new
      (Closes: #827827).
  * Declare compat level 11.
  * Switch to debhelper 11.
  * Declare Standards-Version: 4.3.0.
  * Update watchfile to v4, and update upstream project's location.
  * Suggest php and php-cli rather than php5 and php5-cli.
  * Add gbp.conf.
  * Add patch to disable php-project-root selftest.
  * Add upstream README.
  * Update Homepage, because php-mode has a new upstream maintainer.
    The project's transfer of ownership is documented here:
    https://github.com/emacs-php/php-mode/issues/387
  * Drop out-of-date php-elisp.README.Debian.  The upstream README contains
    this information.
  * Add debian/NEWS to notify users of depreciated PHP 2 support, and show
    how to restore the behaviour of past php-elisp releases.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 01 Feb 2019 14:43:45 -0700

=== debian/control ===
Source: php-elisp
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
         , Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 11)
             , dh-elpa
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/php-elisp
Vcs-Git: https://salsa.debian.org/emacsen-team/php-elisp.git
Homepage: https://github.com/emacs-php/php-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-php-mode
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Suggests: php
        , php-cli
Enhances: emacs
        , emacs25
Breaks: php-elisp (<< 1.21.0-1)
Replaces: php-elisp(<< 1.21.0-1)
Description: PHP Mode for GNU Emacs
 This project updates PHP Mode for GNU Emacs with features that make
 it more friendly to use with PHP 5.4 and later.  Web Mode should be
 used in preference to PHP Mode when one needs to work with PHP
 scripts that contain HTML and other markup.  Supports:
  * Highlighting for keywords, for all official PHP magic and
    predefined constants, for PHPDoc tags and annotations, and for
    customised user-defined lists of frequently used constants.
  * Imenu listings for traits, interfaces, namespaces, and anonymous
    functions.
  * Syntax highlighting, including fontification of namespaces.
  * Chained Method Calls that align method calls over multiple lines
    anchored around the '->' operator.
  * Prettified formatting of arrays and nested function calls.
  * Flymake on-the-fly syntax checking.
  * Searching PHP documentation using key at point (under cursor).
  * Executing Regions of PHP.  Output appears in the *PHP* buffer.
  * Multiple coding styles.  In addition to its default style, this
    mode supports Drupal, WordPress, Symfony2, and PEAR/PSR-2.
  * Amaka.  PHP Mode activates when editing build scripts.
  * Most of PSR-5: PHPDoc (Draft).

Package: php-elisp
Architecture: all
Depends: elpa-php-mode
       , ${misc:Depends}
Section: oldlibs
Description: transitional package, php-elisp to elpa-php-mode
 PHP Mode for GNU Emacs has been elpafied.  This dummy transitional
 package facilitates the transition from php-elisp to elpa-php-mode
 and is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile.

## php-elisp 1.22.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 EMACS ?= emacs
-ELS = php-project.el php-mode.el php-mode-test.el
-AUTOLOADS = php-project-autoloads.el php-mode-autoloads.el
+ELS = php.el php-face.el php-project.el php-mode.el php-mode-debug.el
+AUTOLOADS = php-mode-autoloads.el
 ELCS = $(ELS:.el=.elc)
 
 %.elc: %.el
@@ -10,7 +10,7 @@
 
 autoloads: $(AUTOLOADS)
 
-$(AUTOLOADS): php-project.el php-mode.el
+$(AUTOLOADS): php.el php-face.el php-project.el php-mode-debug.el php-mode.el
 	$(EMACS) -Q -batch -L . --eval \
 	"(progn \
 	   (require 'package) \
@@ -24,7 +24,7 @@
 dev:
 	cp etc/git/prepare-commit-msg .git/hooks/prepare-commit-msg
 	chmod u+x .git/hooks/prepare-commit-msg
-	
+
 # Runs all unit tests from php-mode-test.el and shows the results. The
 # script will exit with the status code zero if all tests pass. If any
 # test fails the script exits with a non-zero status and shows
@@ -37,6 +37,7 @@
 # for an example of using a script like this with the 'git bisect run'
 # command.
 test: clean all
-	$(EMACS) -Q -batch -L . -l php-mode-test.el -f ert-run-tests-batch-and-exit
+	touch tests/project/1/.git
+	$(EMACS) -Q -batch -L . -l tests/php-mode-test.el -f ert-run-tests-batch-and-exit
 
 .PHONY: all autoloads clean test

=== debian/changelog ===
php-elisp (1.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 31 Dec 2019 13:08:18 -0500

php-elisp (1.22.1-2) unstable; urgency=medium

  * Do source-only upload so package can migrate to testing.
  * Declare Standards-Version: 4.4.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 17 Nov 2019 16:52:36 -0500

php-elisp (1.22.1-1) unstable; urgency=medium

  * New upstream release.  To anyone who might be using this package on
    stretch: please note that this release drops support for Emacs
    versions ≤ 25.1.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 14 Nov 2019 15:46:04 -0500

php-elisp (1.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 04 Oct 2019 22:04:34 -0400

php-elisp (1.21.4+50.g977bca2-1) unstable; urgency=medium

  * New upstream release, plus 50 upstream commits (all self-tests now pass).
  * Switch to debhelper-compat 12 and drop debian/compat.
  * Switch to machine-readable copyright format 1.0 (Closes: #903092).
  * Drop bin:php-elisp dummy transitional package.
    - Break and replace all php-elisp versions older than this one.
    - Elpa-php-mode now provides php-elisp.
  * Add Maintainer noted in php-mode.el as Upstream-Contact.
  * Update Suggests from upstream documentation.
  * Drop emacs25 from enhances because emacs was unversioned for buster.
  * Add elpa-imenu-list to Suggests.
  * Note in description that PHP Mode supports both Flycheck and Flymake.
  * Cleanup trailing whitespace in d/control.
  * Drop 0001-Disable-php-project-root-selftest.patch and use
    upstream-provided fixes included in their +50 commits (Closes: #921413).
  * elpa-test: create file needed for upstream self-test; doing it here
    rather than in rules solves the autopkgtest failure case.
  * Override_dh_elpa_test to clean up file needed for upstream self-test.
  * Drop Ola Lundqvist from Uploaders as requested on
    debian-emacsen@lists.debian.org.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 15 Sep 2019 15:20:24 -0400

php-elisp (1.21.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 02 Sep 2019 08:59:40 -0300

=== debian/control ===
Source: php-elisp
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 12)
             , dh-elpa
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/php-elisp
Vcs-Git: https://salsa.debian.org/emacsen-team/php-elisp.git
Homepage: https://github.com/emacs-php/php-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-php-mode
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Suggests: elpa-flycheck
        , elpa-imenu-list
        , php
        , php-cli
        , php-codesniffer
        , phpunit
Enhances: emacs
Breaks: php-elisp (<< 1.21.4-1~)
Replaces: php-elisp(<< 1.21.4-1~)
Provides: php-elisp
Description: PHP Mode for GNU Emacs
 This project updates PHP Mode for GNU Emacs with features that make
 it more friendly to use with PHP 5.4 and later.  Web Mode should be
 used in preference to PHP Mode when one needs to work with PHP
 scripts that contain HTML and other markup.  Supports:
  * Highlighting for keywords, for all official PHP magic and
    predefined constants, for PHPDoc tags and annotations, and for
    customised user-defined lists of frequently used constants.
  * Imenu listings for traits, interfaces, namespaces, and anonymous
    functions.
  * Syntax highlighting, including fontification of namespaces.
  * Chained Method Calls that align method calls over multiple lines
    anchored around the '->' operator.
  * Prettified formatting of arrays and nested function calls.
  * On-the-fly syntax checking via Flycheck or Flymake.
  * Searching PHP documentation using key at point (under cursor).
  * Executing Regions of PHP.  Output appears in the *PHP* buffer.
  * Multiple coding styles.  In addition to its default style, this
    mode supports Drupal, WordPress, Symfony2, and PEAR/PSR-2.
  * Amaka.  PHP Mode activates when editing build scripts.
  * Most of PSR-5: PHPDoc (Draft).

## php-elisp 1.23.0

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,27 @@
 EMACS ?= emacs
-ELS = php.el php-face.el php-project.el php-mode.el php-mode-debug.el
+ELS = php.el php-align.el php-face.el php-project.el php-mode.el php-mode-debug.el
 AUTOLOADS = php-mode-autoloads.el
 ELCS = $(ELS:.el=.elc)
 
 %.elc: %.el
 	$(EMACS) -Q -batch -L . -f batch-byte-compile $<
 
-all: autoloads $(ELCS)
+all: autoloads $(ELCS) authors
+
+authors: AUTHORS.md
+
+.PHONY: AUTHORS.md
+AUTHORS.md: AUTHORS.md.in
+	@printf "Generating AUTHORS.md file..."
+	@test -d .git \
+		&& (cat $< > $@ \
+			&& git log --pretty=format:'- %aN' | sort -u >> $@ \
+			&& printf "FINISHED\n" ; ) \
+		|| printf "FAILED (non-fatal)\n"
 
 autoloads: $(AUTOLOADS)
 
-$(AUTOLOADS): php.el php-face.el php-project.el php-mode-debug.el php-mode.el
+$(AUTOLOADS): php.el php-align.el php-face.el php-project.el php-mode-debug.el php-mode.el
 	$(EMACS) -Q -batch -L . --eval \
 	"(progn \
 	   (require 'package) \
@@ -40,4 +51,4 @@
 	touch tests/project/1/.git
 	$(EMACS) -Q -batch -L . -l tests/php-mode-test.el -f ert-run-tests-batch-and-exit
 
-.PHONY: all autoloads clean test
+.PHONY: all authors autoloads clean test

=== debian/changelog ===
php-elisp (1.23.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 08 May 2020 20:30:03 -0400

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,8 @@
 
 override_dh_auto_build:
 	@echo Using dh-elpa for build/install instead of upstream Makefile.
+
+override_dh_elpa_test:
+# this file is created in debian/elpa-test:ert_eval
+	dh_elpa_test
+	rm tests/project/1/.git

## php-elisp 1.24.0

=== Makefile ===
--- 
+++ 
@@ -1,31 +1,34 @@
 EMACS ?= emacs
-ELS = php.el php-align.el php-face.el php-project.el php-mode.el php-mode-debug.el
+ELS = lisp/php.el lisp/php-align.el lisp/php-face.el lisp/php-project.el lisp/php-mode.el lisp/php-mode-debug.el
 AUTOLOADS = php-mode-autoloads.el
 ELCS = $(ELS:.el=.elc)
 
 %.elc: %.el
-	$(EMACS) -Q -batch -L . -f batch-byte-compile $<
+	$(EMACS) -Q -batch -L lisp/ -f batch-byte-compile $<
 
 all: autoloads $(ELCS) authors
 
 authors: AUTHORS.md
 
+.mailmap:
+	ln -s etc/git/.mailmap
+
 .PHONY: AUTHORS.md
-AUTHORS.md: AUTHORS.md.in
+AUTHORS.md: etc/git/AUTHORS.md.in .mailmap
 	@printf "Generating AUTHORS.md file..."
 	@test -d .git \
 		&& (cat $< > $@ \
-			&& git log --pretty=format:'- %aN' | sort -u >> $@ \
+			&& git log --pretty=format:'- %aN' | LANG=C sort -u >> $@ \
 			&& printf "FINISHED\n" ; ) \
 		|| printf "FAILED (non-fatal)\n"
 
 autoloads: $(AUTOLOADS)
 
-$(AUTOLOADS): php.el php-align.el php-face.el php-project.el php-mode-debug.el php-mode.el
-	$(EMACS) -Q -batch -L . --eval \
+$(AUTOLOADS): lisp/php.el lisp/php-align.el lisp/php-face.el lisp/php-project.el lisp/php-mode-debug.el lisp/php-mode.el
+	$(EMACS) -Q -batch -L lisp/ --eval \
 	"(progn \
 	   (require 'package) \
-	   (package-generate-autoloads \"php-mode\" default-directory))"
+	   (package-generate-autoloads \"php-mode\" (expand-file-name \"lisp\")))"
 
 clean:
 	rm -f $(ELCS) $(AUTOLOADS)
@@ -49,6 +52,7 @@
 # command.
 test: clean all
 	touch tests/project/1/.git
-	$(EMACS) -Q -batch -L . -l tests/php-mode-test.el -f ert-run-tests-batch-and-exit
+	$(EMACS) -Q -batch -l lisp/php-mode-autoloads.el \
+	   -l tests/php-mode-test.el -f ert-run-tests-batch-and-exit
 
 .PHONY: all authors autoloads clean test

=== debian/changelog ===
php-elisp (1.24.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust d/elpa-php-mode.elpa for new upstream locations of lisp files.
  * Load new upstream helper before running tests.
  * Move creation of tests/project/1/.git from d/elpa-test to d/rules; Rules
    cleans up this temporary directory, and it may be easier to understand how
    this package builds if creation and cleanup are in the same place.
  * Update my email address.
  * Add php-cli and php-dev as new build deps for new ERT tests.
  * Simplify php AND php-cli Suggests to "php-cli | php".
  * Add php-dev to Suggests.
  * Add 0001-skip-PHP8.1-tests-when-beta-exec-is-not-installed.patch.  This
    patch was added at a time when Debian only had PHP 8.0; however, it may
    be useful for Debian derivatives that do not yet have PHP 8.0.  When
    PHP 8.1 is available this test automatically activates, but otherwise the
    test must be skipped, because it necessarily produces an FTBFS.
  * Switch to php8.1 everywhere.
  * Tests appear to require generation of autoloads:
    - rules: Set up a temp space in override_dh_elpa_test.
    - Create debian/ert-helper.el, to generate the autoloads, and then load
    everything that php-mode-test.el requires.
    - elpa-test: Add the new "lisp" subdir to the load-path, and then load
      debian/ert-helper.el.
    - rules: clean up temp space.
  * Declare Standards-Version: 4.6.0.1 (no changes required).
  * Declare Rules-Requires-Root: no.
  * Migrate to debhelper-compat 13.
  * Do not run the body of ert-helper.el when running in an autopkgtest; The
    libraries must be loaded from the installed package--as must the
    autoloads file generated by dh_elpa.
  * elpa-test: Add tests to autopkgtest_keep.
  * When running in an autopkgtest, move tests to a writable workspace,
    symlink the tests dir to the expected location, and only then execute the
    tests.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 05 Dec 2021 22:42:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper-compat (= 12)
+Uploaders: Nicholas D Steeves <sten@debian.org>
+Build-Depends: debhelper-compat (= 13)
              , dh-elpa
-Standards-Version: 4.4.1
+             , php8.1-cli <!nocheck>
+             , php8.1-dev <!nocheck>
+Rules-Requires-Root: no
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/emacsen-team/php-elisp
 Vcs-Git: https://salsa.debian.org/emacsen-team/php-elisp.git
 Homepage: https://github.com/emacs-php/php-mode
@@ -18,9 +21,9 @@
 Recommends: emacs (>= 46.0)
 Suggests: elpa-flycheck
         , elpa-imenu-list
-        , php
-        , php-cli
+        , php8.1-cli | php8.1
         , php-codesniffer
+        , php8.1-dev
         , phpunit
 Enhances: emacs
 Breaks: php-elisp (<< 1.21.4-1~)

## php-elisp 1.24.2

=== Makefile ===
EMACS ?= emacs
CASK ?= cask
ELS  = lisp/php.el
ELS += lisp/php-align.el
ELS += lisp/php-complete.el
ELS += lisp/php-defs.el
ELS += lisp/php-face.el
ELS += lisp/php-flymake.el
ELS += lisp/php-local-manual.el
ELS += lisp/php-mode-debug.el
ELS += lisp/php-mode.el
ELS += lisp/php-project.el
AUTOLOADS = php-mode-autoloads.el
ELCS = $(ELS:.el=.elc)

%.elc: %.el
	$(EMACS) --batch -L lisp/ -f batch-byte-compile $<

all: autoloads $(ELCS) authors

authors: AUTHORS.md

.PHONY: AUTHORS.md
AUTHORS.md: etc/git/AUTHORS.md.in .mailmap
	@printf "Generating AUTHORS.md file..."
	@test -d .git \
		&& (cat $< > $@ \
			&& git log --pretty=format:'- %aN' | \
			cat etc/git/former-contributors - | LANG=C sort -u >> $@ \
			&& cat etc/git/AUTHORS2.md.in >> $@ \
			&& printf "FINISHED\n" ; ) \
		|| printf "FAILED (non-fatal)\n"

autoloads: $(AUTOLOADS)

$(AUTOLOADS): $(ELS)
	$(EMACS) --batch -L lisp/ --eval \
	"(let ((user-emacs-directory default-directory)) \
	   (require 'package) \
	   (package-generate-autoloads \"php-mode\" (expand-file-name \"lisp\")))"

.cask: Cask
	$(CASK) install

clean:
	rm -f $(ELCS) $(AUTOLOADS)

# Perform any operations that will be useful for developers
# who contribute to PHP Mode.
dev:
	cp etc/git/prepare-commit-msg .git/hooks/prepare-commit-msg
	chmod u+x .git/hooks/prepare-commit-msg

# Runs all unit tests from php-mode-test.el and shows the results. The
# script will exit with the status code zero if all tests pass. If any
# test fails the script exits with a non-zero status and shows
# diagnostics on standard output.
#
# You can use this script with git-bisect. See the documentation at
#
#     http://git-scm.com/book/en/Git-Tools-Debugging-with-Git
#
# for an example of using a script like this with the 'git bisect run'
# command.
test: clean all
	touch tests/project/1/.git
	$(EMACS) --batch -l lisp/php-mode-autoloads.el --eval \
	"(let ((default-directory (expand-file-name \".cask\" default-directory))) \
	   (normal-top-level-add-subdirs-to-load-path))" \
	    -l tests/php-mode-test.el -f ert-run-tests-batch-and-exit

.PHONY: all authors autoloads clean test

=== debian/changelog ===
php-elisp (1.24.2-2) unstable; urgency=medium

  * Migrate from php-8.1 to php-8.2 (Closes: #1028694).
  * Drop debian/NEWS, because the changelog "trimming" behaviour introduced
    in debhelper 13.10 results in a truncated changelog, which causes lintian
    to rightfully complain "debian-news-entry-has-unknown-version 1.21.0-1".
    A consequence of this action will be that users who upgrade from buster,
    without pausing to read the NEWS in bullseye will miss out on notification
    of a significant change of behaviour.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 14 Jan 2023 20:06:54 -0500

php-elisp (1.24.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 20:19:11 -0500

php-elisp (1.24.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-skip-PHP8.1-tests-when-beta-exec-is-not-installed.patch, which
    isn't actually needed, because changes made to the project structure
    upstream were the actual cause.
  * Add elpa-web-mode to Suggests.  Between this, and the long description,
    users should be able to determine which mode is most suitable for their
    use cases.
  * Add 0001-Make-README.md-relevant-to-the-Debian-pkg.patch
  * Update my copyright years.
  * Declare Standards-Version: 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 22 Sep 2022 18:31:24 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
-             , php8.1-cli <!nocheck>
-             , php8.1-dev <!nocheck>
+             , php8.2-cli <!nocheck>
+             , php8.2-dev <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/emacsen-team/php-elisp
 Vcs-Git: https://salsa.debian.org/emacsen-team/php-elisp.git
 Homepage: https://github.com/emacs-php/php-mode
@@ -21,9 +21,10 @@
 Recommends: emacs (>= 46.0)
 Suggests: elpa-flycheck
         , elpa-imenu-list
-        , php8.1-cli | php8.1
+        , elpa-web-mode
+        , php8.2-cli | php8.2 | php-cli
         , php-codesniffer
-        , php8.1-dev
+        , php8.2-dev | php-dev
         , phpunit
 Enhances: emacs
 Breaks: php-elisp (<< 1.21.4-1~)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile.

override_dh_elpa_test:
	mkdir -p debian/tmp/
	touch tests/project/1/.git
	dh_elpa_test
	rm tests/project/1/.git
	rm -f debian/tmp/php-mode-autoloads.el

## php-elisp 1.24.3

=== debian/changelog ===
php-elisp (1.24.3-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file using updated upstream statements.
  * Update my copyright years.
  * Drop version qualification for emacs Recommends, because even oldoldstable
    can fulfill this requirement.
  * Drop Breaks and Replaces that only affect oldoldstable.
  * Declare Standards-Version: 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 14 Jun 2023 17:30:03 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
              , php8.2-cli <!nocheck>
              , php8.2-dev <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/php-elisp
 Vcs-Git: https://salsa.debian.org/emacsen-team/php-elisp.git
 Homepage: https://github.com/emacs-php/php-mode
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${elpa:Depends}
        , ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Suggests: elpa-flycheck
         , elpa-imenu-list
         , elpa-web-mode
@@ -27,8 +27,6 @@
         , php8.2-dev | php-dev
         , phpunit
 Enhances: emacs
-Breaks: php-elisp (<< 1.21.4-1~)
-Replaces: php-elisp(<< 1.21.4-1~)
 Provides: php-elisp
 Description: PHP Mode for GNU Emacs
  This project updates PHP Mode for GNU Emacs with features that make

## php-elisp 1.25.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,9 @@
 ELS += lisp/php-defs.el
 ELS += lisp/php-face.el
 ELS += lisp/php-flymake.el
+ELS += lisp/php-format.el
+ELS += lisp/php-ide-phpactor.el
+ELS += lisp/php-ide.el
 ELS += lisp/php-local-manual.el
 ELS += lisp/php-mode-debug.el
 ELS += lisp/php-mode.el

=== debian/changelog ===
php-elisp (1.25.0-1ubuntu1) noble; urgency=medium

  * d/control: depend on php8.3

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 23 Feb 2024 22:25:45 -0300

php-elisp (1.25.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release.
  * Add 0002-Drop-obsolete-Debian-Ubuntu-related-info-that-is-no-.patch

 -- Nicholas D Steeves <sten@debian.org>  Thu, 17 Aug 2023 16:43:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: php-elisp
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
-             , php8.2-cli <!nocheck>
-             , php8.2-dev <!nocheck>
+             , php8.3-cli <!nocheck>
+             , php8.3-dev <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/php-elisp
@@ -22,9 +23,9 @@
 Suggests: elpa-flycheck
         , elpa-imenu-list
         , elpa-web-mode
-        , php8.2-cli | php8.2 | php-cli
+        , php8.3-cli | php8.3 | php-cli
         , php-codesniffer
-        , php8.2-dev | php-dev
+        , php8.3-dev | php-dev
         , phpunit
 Enhances: emacs
 Provides: php-elisp

=== debian/watch ===
version=4
        opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%php-mode-$1.tar.gz%" \
             https://github.com/ejmr/php-mode/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## php-elisp 1.25.1

=== Makefile ===
EMACS ?= emacs
CASK ?= cask
EASK ?= eask

compile:
	$(EASK) compile

all: autoloads $(ELCS) authors

authors: AUTHORS.md

.PHONY: AUTHORS.md
AUTHORS.md: etc/git/AUTHORS.md.in .mailmap
	@printf "Generating AUTHORS.md file..."
	@test -d .git \
		&& (cat $< > $@ \
			&& git log --pretty=format:'- %aN' | \
			cat etc/git/former-contributors - | LANG=C sort -u >> $@ \
			&& cat etc/git/AUTHORS2.md.in >> $@ \
			&& printf "FINISHED\n" ; ) \
		|| printf "FAILED (non-fatal)\n"

autoloads:
	$(EASK) generate autoloads

.eask: Eask
	$(EASK) install

clean:
	$(EASK) clean all

# Perform any operations that will be useful for developers
# who contribute to PHP Mode.
dev:
	cp etc/git/prepare-commit-msg .git/hooks/prepare-commit-msg
	chmod u+x .git/hooks/prepare-commit-msg

# Runs all unit tests from php-mode-test.el and shows the results. The
# script will exit with the status code zero if all tests pass. If any
# test fails the script exits with a non-zero status and shows
# diagnostics on standard output.
#
# You can use this script with git-bisect. See the documentation at
#
#     http://git-scm.com/book/en/Git-Tools-Debugging-with-Git
#
# for an example of using a script like this with the 'git bisect run'
# command.
test: clean all
	$(EASK) test ert ./tests/php-mode-test.el

.PHONY: all authors autoloads clean test

=== debian/changelog ===
php-elisp (1.25.1-4) unstable; urgency=medium

  * Use meta PHP packages as dependencies (Closes: #1082447)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Dec 2024 18:29:29 +0100

php-elisp (1.25.1-3) unstable; urgency=medium

  * Orphan package.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Aug 2024 18:31:13 -0400

php-elisp (1.25.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:24:31 +0900

php-elisp (1.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release, and drop
    0002-Drop-obsolete-Debian-Ubuntu-related-info-that-is-no-.patch
    (merged upstream).
  * Override and disable dh_auto_clean.  A Debian package that uses dh-elpa
    does not need Eask.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Mar 2024 14:58:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: php-elisp
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <sten@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
-             , php8.3-cli <!nocheck>
-             , php8.3-dev <!nocheck>
+             , php-cli <!nocheck>
+             , php-dev <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/php-elisp
@@ -23,9 +21,9 @@
 Suggests: elpa-flycheck
         , elpa-imenu-list
         , elpa-web-mode
-        , php8.3-cli | php8.3 | php-cli
+        , php-cli
         , php-codesniffer
-        , php8.3-dev | php-dev
+        , php-all-dev
         , phpunit
 Enhances: emacs
 Provides: php-elisp

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
 	dh_elpa_test
 	rm tests/project/1/.git
 	rm -f debian/tmp/php-mode-autoloads.el
+
+override_dh_auto_clean:

## php-elisp 1.27.0

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,10 @@
 	@printf "Generating AUTHORS.md file..."
 	@test -d .git \
 		&& (cat $< > $@ \
-			&& git log --pretty=format:'- %aN' | \
-			cat etc/git/former-contributors - | LANG=C sort -u >> $@ \
+			&& git log --pretty=format:'- %aN' \
+				| cat etc/git/former-contributors - \
+				| grep -v dependabot \
+				| LANG=C sort -u >> $@ \
 			&& cat etc/git/AUTHORS2.md.in >> $@ \
 			&& printf "FINISHED\n" ; ) \
 		|| printf "FAILED (non-fatal)\n"

=== debian/changelog ===
php-elisp (1.27.0-1) unstable; urgency=medium

  * New upstream release
  * Drop document patches that no longer apply
  * d/control: update Standards-Version to 4.7.2; no change needed
  * d/control: update section to editors
  * Adopt package (Closes: #1077877)
    - Set the Debian Emacsen team as the maintainer.
    - Add myself to Uploaders.
  * d/control: reformat with "wrap-and-sort -ast"
  * d/watch: modernize with substitute strings to be more robust
  * d/copyright: fix field name "Upstream-name" -> "Upstream-Name"
  * d/lrc.excludes: add to override false positive on lisp/php-mode.el
  * d/gbp.conf: drop compression setting of xz to be consistent with
    upstream
  * Add d/salsa-ci.yml with the default template

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 09 Mar 2025 03:47:15 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: php-elisp
-Section: lisp
+Section: editors
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13)
-             , dh-elpa
-             , php-cli <!nocheck>
-             , php-dev <!nocheck>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
+Uploaders:
+ Xiyue Deng <manphiz@gmail.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-elpa,
+ php-cli <!nocheck>,
+ php-dev <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/php-elisp
 Vcs-Git: https://salsa.debian.org/emacsen-team/php-elisp.git
 Homepage: https://github.com/emacs-php/php-mode
@@ -15,18 +18,23 @@
 
 Package: elpa-php-mode
 Architecture: all
-Depends: ${elpa:Depends}
-       , ${misc:Depends}
-Recommends: emacs
-Suggests: elpa-flycheck
-        , elpa-imenu-list
-        , elpa-web-mode
-        , php-cli
-        , php-codesniffer
-        , php-all-dev
-        , phpunit
-Enhances: emacs
-Provides: php-elisp
+Depends:
+ ${elpa:Depends},
+ ${misc:Depends},
+Recommends:
+ emacs,
+Suggests:
+ elpa-flycheck,
+ elpa-imenu-list,
+ elpa-web-mode,
+ php-all-dev,
+ php-cli,
+ php-codesniffer,
+ phpunit,
+Enhances:
+ emacs,
+Provides:
+ php-elisp,
 Description: PHP Mode for GNU Emacs
  This project updates PHP Mode for GNU Emacs with features that make
  it more friendly to use with PHP 5.4 and later.  Web Mode should be

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/ejmr/php-mode/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
